<?php
include_once 'funcoes.inc';

function getAllStores($exibetodas = false) {
    $perguntaloja = lecookie('perguntaloja');
    $select = "";
   
    if (($perguntaloja) && ($exibetodas)) {
        $select = " 
            select
            0 as codloja,
            '   ' as loja,
            'TODAS AS LOJAS' as descloja
            from RDB\$DATABASE 
            UNION ALL " ;  
    };

    $select .= "
    select
        codloja,
        loja,
        descloja
        from lojas";

    

    if(!$perguntaloja) {
        $codloja = lecookie('codloja');
        $select .= " WHERE codloja = " . $codloja;
    }
    
    

   // echo $select; die;
    //MONTA MATRIZ QUE VAI TRAZER OS PRODUTOS
    //cria id do select
    $a_reg = qry($con, $select, $a_campos);

    if (cria_matriz_campos($a_reg, $a_campos, $lojas)) {
        //se tiver resultado do select - quando encontra pelo menos um cliente
        return $lojas;
    } else {
        return false;
    }
}




function getStore($codloja) {
    

    $select = "
    select
        *
        from lojas where codloja = $codloja";
    $a_reg = qry($con, $select, $a_campos);

    if (cria_matriz_campos($a_reg, $a_campos, $lojas)) {
        //se tiver resultado do select - quando encontra pelo menos um cliente
        return $lojas[0];
    } else {
        return false;
    }
}



